using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查记录确认明细
    /// </summary>
    [Description("检查记录确认明细")]
    public class T_BS_SAFE_CHECK_RECORD_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 检查记录确认
        /// </summary>
        [Description("检查记录确认")]
        [DataFieldForeignKey("Nav_CheckRecord", "Nav_ListRecordDetail")]
        public Guid? SAFE_CHECK_RECORD_ID { get; set; }

        /// <summary>
        /// 导航：检查记录确认
        /// </summary>
        [Description("导航：检查记录确认")]
        public virtual T_BS_SAFE_CHECK_RECORD Nav_CheckRecord { get; set; }

        /// <summary>
        /// 检查明细
        /// </summary>
        [Description("检查明细")]
        [DataFieldForeignKey("Nav_SafeCheckDetail")]
        public Guid? SAFE_CHECK_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：检查明细
        /// </summary>
        [Description("检查明细")]
        public virtual T_BS_SAFE_CHECK_DETAIL Nav_SafeCheckDetail { get; set; }


    }
}